<?php
namespace Claromentis\Core\Ai\Subscriber;

$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] ?: array()) + array("_63320be23a35daabe" . "eb7422b56f6b894" => base64_decode("YXVkaXRJbWFnZVByb21wd" . "A=="), "_4b878be3b984a" . "2ace7d2dc22b5f" . "59289" => base64_decode("YXVkaXRUZ" . "Xh0UHJvbX" . "B0"), "_58f9cd2f97dbf4d" . "2db74ab02504a90b" . "9" => base64_decode("YXJyYXlfcmV2ZXJz" . "ZQ=="), "_4d707fab93bebb" . "00bbe69e8159697" . "c90" => base64_decode(""), "_5e30c4717ced3" . "6cff9e93e19a5c" . "576cc" => base64_decode("aXNf" . "c3Ry" . "aW5n"), "_e92ad742fc" . "12ec1dd5c30" . "557fafca331" => base64_decode("Ig" . "=="), "_7f628626dd1d55c71" . "b1fc0932ffd1d2c" => base64_decode("aXNfYXJ" . "yYXk="), "_9247c1342b3931513e7d846ad46" . "39bb4" => base64_decode("YXVkaXRDaG" . "F0UHJvbXB0"), "_79d426f9e30060d8279a1da0a9" . "c6baf1" => base64_decode("UHJ" . "vbX" . "B0O" . "iAi"));
use Claromentis\Core\Ai\AiServiceProvider;
use Claromentis\Core\Ai\Events\AiEvent;
use Claromentis\Core\Ai\Events\AiEventType;
use Claromentis\Core\Ai\Parts\PartInterface;
use Claromentis\Core\Ai\Parts\TextPart;
use Claromentis\Core\Audit\Audit;
use Claromentis\Core\Security\SecurityContext;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;
class AuditSubscriber implements EventSubscriberInterface
{
    
    
    
    
    protected Audit $audit;
    
    
    
    
    
    
    public function __construct(Audit $audit)
    {
        $this->audit = $audit;
    }
    
    
    
    
    
    
    
    
    public static function getSubscribedEvents() : array
    {
        return [AiEventType::TEXT_PROMPT => $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_4b878be3b984a" . "2ace7d2dc22b5f" . "59289"], AiEventType::CHAT_PROMPT => $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_9247c1342b3931513e7d846" . "ad4639bb4"], AiEventType::IMAGE_PROMPT => $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_63320be23a35daa" . "beeb7422b56f6b89" . "4"]];
    }
    
    
    
    
    
    
    
    public function auditTextPrompt(AiEvent $event) : void
    {
        $this->handlePromptAudit($event, AiEventType::TEXT_PROMPT);
    }
    
    
    
    
    
    
    
    public function auditChatPrompt(AiEvent $event) : void
    {
        $this->handlePromptAudit($event, AiEventType::CHAT_PROMPT);
    }
    
    
    
    
    
    
    
    public function auditImagePrompt(AiEvent $event) : void
    {
        $this->handlePromptAudit($event, AiEventType::IMAGE_PROMPT);
    }
    
    
    
    
    
    
    
    
    private function handlePromptAudit(AiEvent $event, string $_18c3ae9a896c5ec6d2e49d0d9d3852f2) : void
    {
        $_9961f986823b4be7f5c4cc8379c6b228 = $event->getParts();
        $text = $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_4d707fab93bebb00bbe69e815" . "9697c90"];
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_7f62862" . "6dd1d55c" . "71b1fc09" . "32ffd1d2" . "c"]($_9961f986823b4be7f5c4cc8379c6b228)) {
            $_9961f986823b4be7f5c4cc8379c6b228 = $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_58f9cd2f97dbf4d2db74ab02504a9" . "0b9"]($_9961f986823b4be7f5c4cc8379c6b228);
            foreach ($_9961f986823b4be7f5c4cc8379c6b228 as $_d962cfd1735adb2dfba46f69c7f15cb8) {
                
                
                if ($_d962cfd1735adb2dfba46f69c7f15cb8 instanceof TextPart && $_d962cfd1735adb2dfba46f69c7f15cb8->getRole() === PartInterface::PART_ROLE_USER) {
                    $text = $_d962cfd1735adb2dfba46f69c7f15cb8->getValue();
                    break;
                }
            }
        } else {
            if ($_9961f986823b4be7f5c4cc8379c6b228 instanceof TextPart) {
                $text = $_9961f986823b4be7f5c4cc8379c6b228->getValue();
            } else {
                if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_5e30c4717ced36cff9e93e19a5c" . "576cc"]($_9961f986823b4be7f5c4cc8379c6b228)) {
                    $text = $_9961f986823b4be7f5c4cc8379c6b228;
                }
            }
        }
        
        
        if (empty($text)) {
            return;
        }
        $this->audit->Success(AiServiceProvider::NAME, $_18c3ae9a896c5ec6d2e49d0d9d3852f2, 0, $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_79d426f9e3" . "0060d8279a1" . "da0a9c6baf1"] . $text . $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_e92ad742fc12ec" . "1dd5c30557fafca" . "331"]);
    }
}